2018-06-23 13:02 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002958OpenFOAM[All Projects] Bugpublic2018-05-28 10:05
Reporteralex-4 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002958: compressibleInterFoam does not calculate heat exchange
DescriptioncompressibleInterFoam in dev-version does not calculate heat exchange between fluid and wall with fixed temperature. Thus the fluid temperature remains constant instead of decreasing. In openfoam v5.x with exactly the same settings the temperature is calculated correctly.
Steps To ReproduceAttached is a case with cylinder which can be simulated once with the dev-version and once with the version 5.x
Additional Informationdoc.pdf shows the case and the temperature curve for the dev-version and for version 5.x
Same behaviour with the solver compressibleInterDyMFoam
TagscompressibleInterDyMFoam, compressibleInterFoam, wallHeatFlux
Attached Files
  • pdf file icon doc.pdf (402,607 bytes) 2018-05-25 15:36
  • zip file icon Cyl3D.zip (476,069 bytes) 2018-05-25 15:54

-Relationships
+Relationships

-Notes

~0009651

henry (manager)

I do not see the case, did the attachment fail?

~0009652

alex-4 (reporter)

Now it worked with the upload

~0009653

henry (manager)

Thanks for reporting, this should be resolved by commit 332f94b724f0ec4f679a3b129341f5c886818de1

~0009664

alex-4 (reporter)

I just ran the case and it works now with the latest update of dev-version.
Thank you very much Henry for the fast response!
BR
Alex
+Notes

-Issue History
Date Modified Username Field Change
2018-05-25 15:36 alex-4 New Issue
2018-05-25 15:36 alex-4 File Added: doc.pdf
2018-05-25 15:36 alex-4 Tag Attached: compressibleInterDyMFoam
2018-05-25 15:36 alex-4 Tag Attached: compressibleInterFoam
2018-05-25 15:36 alex-4 Tag Attached: wallHeatFlux
2018-05-25 15:48 henry Note Added: 0009651
2018-05-25 15:48 henry Priority high => normal
2018-05-25 15:54 alex-4 File Added: Cyl3D.zip
2018-05-25 15:55 alex-4 Note Added: 0009652
2018-05-25 23:46 henry Note Added: 0009653
2018-05-28 09:48 alex-4 Note Added: 0009664
2018-05-28 10:05 henry Assigned To => henry
2018-05-28 10:05 henry Status new => resolved
2018-05-28 10:05 henry Resolution open => fixed
2018-05-28 10:05 henry Fixed in Version => dev
+Issue History